IM_GRID(3)

NAME
im_grid - split a vertical image into a grid of smaller images

SYNOPSIS
#include <vips/vips.h> int
im_grid( IMAGE *in, IMAGE *out,
  int tile_height, int across, int down )

DESCRIPTION
im_grid(3) slices image in into a set of tiles, each the same width as in and of height tile_height and rearranges the tiles into a grid with across tiles across and down tiles down. It is useful for loading volumetric images (for example, CT or PET scans) where more than 2 dimensions need to be displayed. The current implementation is optimised for the case where image in is thin and tall and across and down are large.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_extract_area(3), im_zoom(3)

COPYRIGHT
Imperial College 2005